## golang-github-karlseguin-ccache 2.0.2+git20161222.2.12c7ffd

=== Makefile ===
t:
	go test ./...

f:
	go fmt ./...

=== debian/changelog ===
golang-github-karlseguin-ccache (2.0.2+git20161222.2.12c7ffd-1) unstable; urgency=medium

  * Initial release (Closes: #854635)

 -- Tim Potter <tpot@hpe.com>  Wed, 08 Feb 2017 19:37:07 +1100

=== debian/control ===
Source: golang-github-karlseguin-ccache
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-karlseguin-expect-dev
Standards-Version: 3.9.8
Homepage: https://github.com/karlseguin/ccache
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-karlseguin-ccache.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-karlseguin-ccache.git
XS-Go-Import-Path: github.com/karlseguin/ccache

Package: golang-github-karlseguin-ccache-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-karlseguin-expect-dev
Description: Golang LRU Cache for high concurrency
 CCache is an LRU Cache, written in Go, focused on supporting high
 concurrency. Lock contention on the list is reduced by introducing a
 window which limits the frequency that an item can get promoted,
 using a buffered channel to queue promotions for a single worker, and
 garbage collecting within the same thread as the worker.

## golang-github-karlseguin-ccache 2.0.3

=== debian/changelog ===
golang-github-karlseguin-ccache (2.0.3-1) unstable; urgency=medium

  * Team Upload.

  [ aviau ]
  * point Vcs-* urls to salsa.debian.org

  [ Jelmer Vernooĳ ]
  * Change priority extra to priority optional.
  [ Nilesh Patra ]
  * New upstream version 2.0.3 (Closes: #952187)
  * Add upstream/metadata
  * Fix with cme
  * Add "Rules-Requires-Root:no"

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 13 Jun 2020 16:16:28 +0530

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: golang-github-karlseguin-ccache
-Section: devel
-Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tim Potter <tpot@hpe.com>
-Build-Depends: debhelper (>= 10),
+Section: devel
+Testsuite: autopkgtest-pkg-go
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-karlseguin-expect-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-karlseguin-ccache
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-karlseguin-ccache.git
 Homepage: https://github.com/karlseguin/ccache
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-karlseguin-ccache.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-karlseguin-ccache.git
 XS-Go-Import-Path: github.com/karlseguin/ccache
+Rules-Requires-Root: no
 
 Package: golang-github-karlseguin-ccache-dev
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-karlseguin-ccache-\$1\.tar\.gz/,\\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \\
  https://github.com/karlseguin/ccache/tags .*/v?(\d\S*)\.tar\.gz
